
  <!DOCTYPE html>
  <html>
    <head>
      <title>Header.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/components/Header/Header.tsx</td><td class="">100.00%</td><td class="">80%</td><td class="">52</td><td class="">52</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React from &#x27;react&#x27;;
import clsx from &#x27;clsx&#x27;;
import { useHistory } from &#x27;react-router-dom&#x27;;

import s from &#x27;./Header.module.scss&#x27;;
import { BaseComponent } from &#x27;../../utils/BaseComponent&#x27;;
import { Logo } from &#x27;../Logo/Logo&#x27;;
import user from &#x27;./assets/user.svg&#x27;;
import { Paths } from &#x27;../../routes/paths&#x27;;

export interface HeaderProps extends BaseComponent {}

export const Header: React.FC&lt;HeaderProps&gt; = ({ className }) =&gt; {
  const history = useHistory();
  return (
    &lt;div className={clsx(className, s.Header)}&gt;
      &lt;div
        className={s.Header__left}
        onClick={() =&gt; history.push(Paths.PROJECTS)}
      &gt;
        &lt;Logo className={s.Header__logo} /&gt;
        &lt;div className={s.Header__title}&gt;Bioprocess Simulator&lt;/div&gt;
      &lt;/div&gt;
      &lt;div className={s.Header__userIcon}&gt;
        &lt;img alt=&quot;user&quot; src={user} /&gt;
      &lt;/div&gt;
    &lt;/div&gt;
  );
};
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  